%define upstream_name    Dist-Zilla-Plugins-CJM
%define upstream_version 4.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Allow a dist to have a custom Build.PL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Converter) >= 2.101.550
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.121.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Dist::Zilla) >= 4.300.9
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker) >= 4.300.9
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir) >= 0.810.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(File::pushd)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%description
Plugins implementing ModuleInfo may call their own 'get_module_info' method
to construct a the Module::Build::ModuleInfo manpage object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 4.270.0-3.mga6
+ Revision: 1026575
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 4.270.0-2.mga6
+ Revision: 969633
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 4.270.0-1.mga6
+ Revision: 873481
- update to 4.27

* Sun Jun 28 2015 sander85 <sander85> 4.260.0-1.mga6
+ Revision: 846913
- update to 4.26

* Wed Oct 15 2014 umeabot <umeabot> 4.230.0-3.mga5
+ Revision: 751186
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 4.230.0-1.mga5
+ Revision: 664462
- update to 4.23

* Tue Apr 15 2014 jquelin <jquelin> 4.220.0-1.mga5
+ Revision: 614766
- update to 4.22

* Tue Feb 25 2014 jquelin <jquelin> 4.210.0-1.mga5
+ Revision: 596916
- update to 4.21

* Sat Oct 19 2013 umeabot <umeabot> 4.200.0-2.mga4
+ Revision: 533078
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 sander85 <sander85> 4.200.0-1.mga4
+ Revision: 471269
- update to 4.20

* Sat Jul 27 2013 sander85 <sander85> 4.170.0-1.mga4
+ Revision: 459101
- update to 4.17

* Wed Jun 26 2013 jquelin <jquelin> 4.160.0-1.mga4
+ Revision: 446930
- update to 4.16

* Fri Jun 07 2013 jquelin <jquelin> 4.150.0-1.mga4
+ Revision: 439133
- update to 4.15

* Sun Jan 13 2013 umeabot <umeabot> 4.110.0-2.mga3
+ Revision: 366714
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 4.110.0-1.mga3
+ Revision: 316048
- update to 4.11

* Fri Aug 31 2012 kharec <kharec> 4.100.0-1.mga3
+ Revision: 286126
- update to 4.10

* Tue Jun 05 2012 jquelin <jquelin> 4.90.0-1.mga3
+ Revision: 254887
- update to 4.09

* Tue Mar 06 2012 jquelin <jquelin> 4.70.0-1.mga2
+ Revision: 220121
- update to 4.07

* Thu Jan 05 2012 jquelin <jquelin> 4.60.0-1.mga2
+ Revision: 191184
- update to 4.06

* Tue Dec 13 2011 jquelin <jquelin> 4.40.0-1.mga2
+ Revision: 181193
- update to 4.04

* Mon Nov 14 2011 jquelin <jquelin> 4.30.0-1.mga2
+ Revision: 167646
- update to 4.03

* Tue Nov 08 2011 jquelin <jquelin> 4.20.0-1.mga2
+ Revision: 165442
- remove MYMETA from %%doc
- update to 4.02
- update to 3.05

* Sat Feb 26 2011 jquelin <jquelin> 3.40.0-1.mga1
+ Revision: 60615
- update to 3.04

* Wed Jan 26 2011 jquelin <jquelin> 3.10.0-1.mga1
+ Revision: 40643
- mageia rebuild
- imported package perl-Dist-Zilla-Plugins-CJM

